v.convert(1)

NAME
v.convert - Imports older versions of GRASS vector maps.

KEYWORDS
vector, import

SYNOPSIS
v.convert
v.convert help
v.convert input=string output=name [endian=string] [--overwrite]

  Flags:

--overwrite

  Parameters:

input=string
    input vector map

output=name
    Name for output vector map

endian=string
    endian of input vector map Options: big,little Default: big

DESCRIPTION
v.convert converts GRASS 5.0/5.3/5.4 vectors into 5.7/6.x vectors.

NOTES
Vector maps from 5.0/5.3/5.4 and 5.7/6.x do not interfere. They are stored in different directories, so you can use the same names. Old vector maps can be listed with g.list oldvect.

If you need to convert back from 5.7/6.x into the 5.0/5.3/5.4 vector format, use v.out.ogr (to SHAPE format) and then v.in.shape in the old GRASS program. Alternatively use "v.out.ascii -o" and v.in.ascii.

As this GRASS version uses SQL for attribute management, there are some SQL restrictings concerning the file names.

Missing centroids can be added with v.category.

EXAMPLE
v.convert in=vectormap_from_50 out=vectormap_60

SEE ALSO
g.list, v.category, v.convert.all, v.out.ascii, v.in.ascii, v.out.ogr

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/01/02 14:44:51 $

Full index